Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class Allapot

    java.lang.Object
      orarend.Allapot

All Implemented Interfaces:
  java.lang.Cloneable

    public class Allapot

extends java.lang.Object
implements java.lang.Cloneable

Orarend típusú objektumokat tárol a kirakáshoz

Author:
  Csipkés László

Field Summary
`(package private) static org.hibernate.cfg.Configuration` | `cfg`
`static java.util.ArrayList<Operator>` | `operators`
`Orarend` | `orarend`
`(package private) static org.hibernate.Session` | `session`
`(package private) static org.hibernate.SessionFactory` | `sf`
`(package private) static org.hibernate.Transaction` | `tx`

Constructor Summary
`Allapot()`
`Allapot(Allapot a, Operator c)` Olyan Allapot, melyet a 2. parameterben megadott cserével hozunk létre
`Allapot(Orarend orarend)` Csere nélkül létrejött állapot

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `eloFeltetel(Operator c)` Megvizsgálja, hogy a paraméterként kapott csere alkalmazható e az aktuális példányra.
`Orarend` | `getAllapot()`
`java.util.ArrayList<Operator>` | `operators()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    static org.hibernate.Session session

### tx

    static org.hibernate.Transaction tx

### cfg

    static org.hibernate.cfg.Configuration cfg

### sf

    static org.hibernate.SessionFactory sf

### operators

    public static java.util.ArrayList<Operator> operators

### orarend

    public Orarend orarend

Constructor Detail

### Allapot

    public Allapot()

### Allapot

    public Allapot(Orarend orarend)

  Csere nélkül létrejött állapot

  Parameters:
    `orarend` -

### Allapot

    public Allapot(Allapot a,
                   Operator c)

  Olyan Allapot, melyet a 2. parameterben megadott cserével hozunk létre

  Parameters:
    `a` - Allapot
    `c` - Csere

Method Detail

### operators

    public java.util.ArrayList<Operator> operators()

### getAllapot

    public Orarend getAllapot()

### eloFeltetel

    public boolean eloFeltetel(Operator c)

  Megvizsgálja, hogy a paraméterként kapott csere alkalmazható e az aktuális példányra.

  Parameters:
    `c` -
  Returns:
    Ha alkalmazható true-t ad vissza, ha nem false-t

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD